import { AxiosInstance } from 'contentful-sdk-core';
import { SyncCollection, SyncOptions, SyncQuery, LocaleCode, EntrySkeletonType } from './types';
import { ChainOptions, ModifiersFromOptions } from './utils/client-helpers';
/**
 * This module retrieves all the available pages for a sync operation
 * @private
 * @param {AxiosInstance} http - HTTP client
 * @param {SyncQuery} query - Query object
 * @param {SyncOptions} options - Sync options object
 * @param {boolean} [options.paginate = true] - If further sync pages should automatically be crawled
 * @return {Promise<SyncCollection>}
 */
export default function pagedSync<EntrySkeleton extends EntrySkeletonType, Locales extends LocaleCode, Options extends ChainOptions>(http: AxiosInstance, query: SyncQuery, options?: SyncOptions | ChainOptions): Promise<SyncCollection<EntrySkeleton, ModifiersFromOptions<Options>, Locales>>;
